| Home | Libraries | People | FAQ | More

##### BOOST_GEOMETRY_REGISTER_POINT_3D

Macro to register a 3D point type.

###### Description

The macro BOOST_GEOMETRY_REGISTER_POINT_3D registers a three-dimensional point type such that it is recognized by Boost.Geometry and that Boost.Geometry functionality can used with the specified type.

###### Synopsis

    #define BOOST_GEOMETRY_REGISTER_POINT_3D(Point, CoordinateType, CoordinateSystem, Field0, Field1, Field2)

###### Parameters

Name | Description
--- | ---
Point | Point type to be registered
CoordinateType | Type of the coordinates of the point (e.g. double)
CoordinateSystem | Coordinate system (e.g. cs::cartesian)
Field0 | Member containing first (usually x) coordinate
Field1 | Member containing second (usually y) coordinate
Field2 | Member containing third (usually z) coordinate

###### Header

`#include <boost/geometry/geometries/register/point.hpp>`